Bug Hunting Session
Bug 106957 - outdated documentation for BASIC date functions
Summary: outdated documentation for BASIC date functions
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2017-04-04 16:42 UTC by Gerhard Weydt
Modified: 2017-09-20 11:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Weydt 2017-04-04 16:42:18 UTC
Description:
Date acceptance patterns depending of the locale setting have been introduced in LibO, it seems, already some years ago. Some date functions which were affected by this, seem to have been changed accordingly, as they reject dates in formats not fitting these patterns – or the ISO format. The help texts for these functions still reflect the former situation.

I propose the following changes for the help texts. There is also a reserve condition saying that only one of the two ISO formats is accepted for the moment, which could perhaps be removed in the future if bug 106956 is resolved, allowing also the other format.

CDate Function:
Replace the string

in the format MM.DD.YYYY HH.MM.SS, as defined by the DateValue and TimeValue function conventions

by

either in one of the date acceptance patterns defined for your locale setting (see *Tools - Options - Language Settings - Languages*) or in ISO date format (momentarily, only the ISO format with hyphens, e.g. "2012-12-31") is accepted.

DateValue Function:
Replace the text starting from

The date can be specified in almost any format.

and containing all the rest of the description of parameter „Date“, i.e. up to just before „Error Codes“, by

In contrast to the DateSerial function that passes years, months and days as separate numeric values, the DateValue function requests the date string to be according to either one of the date acceptance patterns defined for your locale setting (see *Tools - Options - Language Settings - Languages*) or to ISO date format (momentarily, only the ISO format with hyphens, e.g. "2012-12-31") is accepted.

(The text concerning the decimal separator is irrelevant here.)

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Olivier Hallot 2017-08-19 23:18:39 UTC
Submitted patch with corrections proposed. 

https://gerrit.libreoffice.org/#/c/41343/

Kindly verify if the text is correct.
Comment 2 Gerhard Weydt 2017-08-20 16:18:00 UTC
Both patches contain the text exactly as proposed.
Comment 3 Commit Notification 2017-08-20 17:59:03 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c399dc47d92de039391f4962df355f632ce10d05

tdf#106957 - outdated doc for BASIC date functions
Comment 4 Xisco Faulí 2017-09-20 07:30:45 UTC
A polite ping to Olivier Hallot: is this bug fixed? if so, please close it as RESOLVED FIXED